KIE.AI
old-model
  • All Model
  • old-model
language
language
  • 🇺🇸 English
  • 🇨🇳 Chinese
language
language
  • 🇺🇸 English
  • 🇨🇳 Chinese
Support
old-model
  • All Model
  • old-model
old-model
  • All Model
  • old-model
Suno API
4o Image APIVeo3.1 APIRunway APIFlux Kontext API
Suno API
4o Image APIVeo3.1 APIRunway APIFlux Kontext API
  1. voice
  • Suno API Quickstart
  • Music Generation
    • Music Cover Generation Callbacks
    • Music Generation Callbacks
    • Music Extension Callbacks
    • Audio Upload and Cover Callbacks
    • Audio Upload and Extension Callbacks
    • Add Instrumental Callbacks
    • Add Vocals Callbacks
    • Replace Music Section Callbacks
    • Generate Music
      POST
    • Extend Music
      POST
    • Upload And Cover Audio
      POST
    • Upload And Extend Audio
      POST
    • Add Instrumental to Music
      POST
    • Add Vocals to Music
      POST
    • Get Music Task Details
      GET
    • Get Timestamped Lyrics
      POST
    • Boost Music Style
      POST
    • Generate Music Cover
      POST
    • Get Cover Generation Details
      GET
    • Replace Music Section
      POST
    • Generate Persona
      POST
    • Generate Mashup Music
      POST
    • Recovery Audio
      POST
  • Lyrics Generation
    • Lyrics Generation Callbacks
    • Generate Lyrics
    • Get Lyrics Task Details
  • WAV Conversion
    • Convert to WAV Callbacks
    • Convert to WAV Format
    • Get WAV Conversion Details
  • Vocal Removal
    • Audio Separation Callbacks
    • MIDI Generation Callbacks
    • Vocal & Instrument Stem Separation
    • Get Vocal Separation Details
    • Generate MIDI from Audio
    • Get MIDI Generation Details
  • Music Video Generation
    • Music Video Generation Callbacks
    • Create Music Video
    • Get Music Video Details
  • Sounds Generation
    • Generate sounds
  • voice
    • Suno Voice Generation Callback
    • Suno Voice Validation Phrase Callback
    • Suno Voice Generate Verification Phrase API
      POST
    • Suno Voice Get Verification Phrase API
      GET
    • Suno Voice Create Custom Voice API
      POST
    • Suno Voice Get Custom Voice Records
      GET
    • Suno Voice Regenerate Verification Phrase
      POST
    • Suno Voice Check Availability API
      POST
  1. voice

Suno Voice Regenerate Verification Phrase

POST
/api/v1/voice/regenerate
Regenerate the validation phrase for an existing Suno Voice task.
Use this endpoint when the previous validation phrase failed, expired, or the user needs a new phrase to read. Submit the existing taskId; the system will start a new validation phrase generation task and return a task ID for polling.

Query Task Status#

After submitting the regeneration task, check the new validation phrase result through the validation phrase query endpoint:
Get Validation Phrase
Learn how to check the regenerated validation phrase task status

Continue the Flow#

Once the regenerated phrase is ready, ask the user to read the new phrase and submit the verification audio to the voice generation endpoint.
Generate Voice
Continue custom voice generation with the newly recorded verification audio
Related resources
Generate Validation Phrase
Start the validation phrase flow from source audio
Get Voice Record
Query the final custom voice generation result

Request

Authorization
Bearer Token
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
or
Body Params application/jsonRequired

Examples

Responses

🟢200
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.kie.ai/api/v1/voice/regenerate' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
    "taskId": "xxxxxxx"
}'
Response Response Example
{
    "code": 200,
    "msg": "success",
    "data": {
        "taskId": "xxx_task_id_xxx"
    }
}
Previous
Suno Voice Get Custom Voice Records
Next
Suno Voice Check Availability API
Built with